## python-django-extensions 1.6.7

=== Makefile ===
help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "test - run tests quickly with the default Python"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-test clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .cache/
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

test:
	python setup.py test --pytest-args="tests --ds=tests.testapp.settings --cov=django_extensions"

coverage:
	coverage run --source django_extensions setup.py test
	coverage report -m
	coverage html

install: clean
	python setup.py install

## python-django-extensions 0.4.2pre+git201004211325

=== debian/changelog ===
python-django-extensions (0.4.2pre+git201004211325-1) unstable; urgency=low

  * New upstream snapshot
  * Refresh 01-werkzeug-package.diff

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Apr 2010 09:16:51 +0100

python-django-extensions (0.4.2pre+git200911182050-2) unstable; urgency=low

  * Use find(1) over python.mk to locate embedded jQuery and drop python.mk
    include to help backporters. (Closes: #578599)
  * Bump Standards-Version to 3.8.4.
  * Move to 3.0 (quilt) source format.
  * Tidy patch descriptions.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Apr 2010 10:06:33 +0100

python-django-extensions (0.4.2pre+git200911182050-1) unstable; urgency=low

  * New upstream release.
  * Remove embedded uuid.py code copy used as fallback if "import uuid" fails.
    (Closes: #555430)
  * Bump Standards-Version to 3.8.3.
  * Bump Build-Depends on debhelper to 7.0.50~ for override_* support.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Nov 2009 17:59:30 +0000

python-django-extensions (0.4+git200905112140-2) unstable; urgency=low

  * Fix compatibility with Python 2.6 and future Python transitions in general.
    Thanks to Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 May 2009 00:04:19 +0100

python-django-extensions (0.4+git200905112140-1) unstable; urgency=low

  * New upstream release.
  * Upstream moved to Git; update get-orig-source.
  * Use shorted method of invoking quilt using debhelper 7.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 May 2009 21:24:00 +0100

python-django-extensions (0.4~pre+svn188-1) unstable; urgency=low

  * Initial release (Closes: #521349)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Mar 2009 23:45:55 +0000

=== debian/control ===
Source: python-django-extensions
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-extensions.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-extensions.git
Homepage: http://code.google.com/p/django-command-extensions/

Package: python-django-extensions
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0.2)
Recommends: libjs-jquery
Suggests: python-werkzeug, python-pygraphviz, python-boto, python-profiler
Description: Useful extensions for Django projects
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.

=== debian/rules ===
#!/usr/bin/make -f

get-orig-source:
	set -ex; \
		PKG=python-django-extensions; VER=0.4.2pre; \
		git clone git://github.com/django-extensions/django-extensions.git $$PKG; \
		DATE=`cd $$PKG && git show --pretty=format:"%cD" HEAD | head -n1`; \
		SUFFIX=`date -d "$$DATE" +%Y%m%d%H%M`; \
		rm -rf $$PKG/.git; \
		tar cfz $${PKG}_$$VER+git$${SUFFIX}.orig.tar.gz $$PKG; \
		rm -rf $$PKG

%:
	dh $@

override_dh_auto_clean:
	rm -f django_extensions/utils/uuid.py # embedded code copy
	dh_auto_clean

override_dh_install:
	dh_install
	# Don't embed jQuery
	find debian/python-django-extensions -name 'jquery.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;

## python-django-extensions 0.6%2bgit201107051902

=== debian/changelog ===
python-django-extensions (0.6+git201107051902-1) unstable; urgency=low

  * New upstream release.
    - Does not depend on keyczar anymore (Closes: #633874)
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.
  * Bump Standards-Version to 3.9.2.
  * Bump base version in get-orig-source target.
  * Add python-keyczar to Suggests.
  * Update Homepage.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jul 2011 12:07:19 +0200

## python-django-extensions 0.6+git201107051902

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.8.4
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-extensions.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-extensions.git
-Homepage: http://code.google.com/p/django-command-extensions/
+Standards-Version: 3.9.2
+Vcs-Git: git://github.com/lamby/pkg-python-django-extensions.git
+Vcs-Browser: https://github.com/lamby/pkg-python-django-extensions
+Homepage: https://github.com/django-extensions/django-extensions
 
 Package: python-django-extensions
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0.2)
 Recommends: libjs-jquery
-Suggests: python-werkzeug, python-pygraphviz, python-boto, python-profiler
+Suggests: python-werkzeug, python-pygraphviz, python-boto, python-profiler, python-keyczar
 Description: Useful extensions for Django projects
  This is a collection of useful third-party tools for projects that use the
  Django web development framework. It provides the management commands:

## python-django-extensions 1.2.5

=== debian/changelog ===
python-django-extensions (1.2.5-1) unstable; urgency=low

  [ Stephan Sürken ]
  * [9a4f8dd] Imported Upstream version 1.2.5 (Closes: #690425).
  * [563777b] patches/01-werkzeug-package.diff: Refresh for upstream 1.2.5.
  * [ce22404] control: New upstream needs python-six.
  * [336ae49] control: Taking over package, fix Maintainer field.
  * [10707a6] control: Update Stds-Ver to 3.9.5 (no changes needed).

 -- Stephan Sürken <absurd@debian.org>  Tue, 12 Nov 2013 16:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: python-django-extensions
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Stephan Sürken <absurd@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/lamby/pkg-python-django-extensions.git
 Vcs-Browser: https://github.com/lamby/pkg-python-django-extensions
 Homepage: https://github.com/django-extensions/django-extensions
 
 Package: python-django-extensions
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0.2)
+Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0.2), python-six
 Recommends: libjs-jquery
 Suggests: python-werkzeug, python-pygraphviz, python-boto, python-profiler, python-keyczar
 Description: Useful extensions for Django projects

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 get-orig-source:
 	set -ex; \
-		PKG=python-django-extensions; VER=0.4.2pre; \
+		PKG=python-django-extensions; VER=0.6; \
 		git clone git://github.com/django-extensions/django-extensions.git $$PKG; \
 		DATE=`cd $$PKG && git show --pretty=format:"%cD" HEAD | head -n1`; \
 		SUFFIX=`date -d "$$DATE" +%Y%m%d%H%M`; \

=== debian/watch ===
version=3
http://code.google.com/p/django-command-extensions/downloads/list \
http://django-command-extensions.googlecode.com/files/django-command-extensions-(.*).tgz

## python-django-extensions 1.3.8

=== debian/changelog ===
python-django-extensions (1.3.8-1) unstable; urgency=medium

  * [863d899] rules: get-orig-source: Just use uscan (now grabs actual
    releases, not producing git snapshots)
  * [e34d8d1] Imported Upstream version 1.3.7
  * [7e99a55] Migrate from python-support to dh_python2 (this also
    upgrades to debhelper 9).
  * [4c98e99] Imported Upstream version 1.3.8
  * [198de9a] rules: Remove workaround to rm embedded uuid.py (no longer
    in upstream).
  * [313fb12] rules: Fix for clean: Remove any *.egg-info/.
  * [6cb7f1e] [Add .gitignore for debian/.]
  * [d92494b] copyright: Add Format header and copyright for debian/* for
    new maintainer.

 -- Stephan Sürken <absurd@debian.org>  Fri, 13 Jun 2014 17:04:47 +0000

python-django-extensions (1.3.3-2) unstable; urgency=medium

  * [eab12b5] debian/control: VCS moved to alioth, fixing VCS URLs.

 -- Stephan Sürken <absurd@debian.org>  Tue, 01 Apr 2014 16:47:17 +0200

python-django-extensions (1.3.3-1) unstable; urgency=medium

  * [ee8aef5] Imported Upstream version 1.3.3
  * [7e01ec3] watch: Update watchfile (as hinted by PTS).

 -- Stephan Sürken <absurd@debian.org>  Sun, 09 Mar 2014 14:46:37 +0000

## python-django-extensions 1.3.10

=== debian/changelog ===
python-django-extensions (1.3.10-1) unstable; urgency=medium

  * [de99797] Imported Upstream version 1.3.10
  * [11b7842] copyright: Fix 'duplicate Copyright field' syntax error.
  * [444103c] copyright: Replace '|' by 'or' in 'License' field (that's
    how it's documented; fixes lintian missing-license-paragraph-in-
    dep5-copyright)
  * django 1.7 support is currently an ongoing effort in uspstream
    development. Quite some fixes already made it to 1.3.10, and the
    current open usptream issues do not seem to be worrying, see
     https://github.com/django-extensions/django-extensions/issues?q=is%3Aissue+is%3Aopen+1.7
    For all my known use cases, it's working fine.
    So this imho (Closes: #755620).

 -- Stephan Sürken <absurd@debian.org>  Fri, 08 Aug 2014 17:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support
+X-Python-Version: >=2.7
+Build-Depends: debhelper (>= 9), python (>= 2.7)
 Standards-Version: 3.9.5
-Vcs-Git: git://github.com/lamby/pkg-python-django-extensions.git
-Vcs-Browser: https://github.com/lamby/pkg-python-django-extensions
 Homepage: https://github.com/django-extensions/django-extensions
+Vcs-Git: git://git.debian.org/git/collab-maint/python-django-extensions.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/python-django-extensions.git;a=summary
 
 Package: python-django-extensions
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info/

override_dh_install:
	dh_install
	# Don't embed jQuery
	find debian/python-django-extensions -name 'jquery.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;

get-orig-source:
	uscan --verbose --rename

## python-django-extensions 1.5.0

=== debian/changelog ===
python-django-extensions (1.5.0-1) unstable; urgency=medium

  * Update maintainer field; package is now maintained by Debian Python
    modules team. Thanks to Stephan Sürken for packaging
    python-django-extensions up to this point and and giving permission
    to make this change.
  * New upstream version & Python 3 package. Closes: 776901.
  * Update standards version to 3.9.6.
  * Update obsolete URL in debian/copyright.

 -- Brian May <bam@debian.org>  Thu, 05 Feb 2015 09:38:57 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: python-django-extensions
 Section: python
 Priority: optional
-Maintainer: Stephan Sürken <absurd@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 X-Python-Version: >=2.7
-Build-Depends: debhelper (>= 9), python (>= 2.7)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-python,
+ python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.4), python-six, python-dateutil, python-shortuuid,
+ python3-all, python3-setuptools, python3-django (>= 1.4), python3-six, python3-dateutil, python3-shortuuid,
+Standards-Version: 3.9.6
 Homepage: https://github.com/django-extensions/django-extensions
 Vcs-Git: git://git.debian.org/git/collab-maint/python-django-extensions.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-django-extensions.git;a=summary
@@ -30,3 +33,25 @@
  .
  python-django-extensions also includes a number of custom fields and abstract
  models, including ones that manage created and updated times automatically.
+
+Package: python3-django-extensions
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.0.2), python3-six
+Recommends: libjs-jquery
+Suggests: python3-werkzeug, python3-pygraphviz, python3-boto, python3-profiler, python3-keyczar
+Description: Useful extensions for Django projects
+ This is a collection of useful third-party tools for projects that use the
+ Django web development framework. It provides the management commands:
+ .
+  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
+  * runprofileserver - starts runserver with profiling tools enabled
+  * shell_plus - similar to the built-in "shell" but autoloads all models
+  * graph_models - creates a GraphViz dot file of your model arrangement
+  * describe_form - generate template form definitions for a model
+  * export_emails - export the addresses of your users in many formats
+  * print_user_for_session - print the user information from a session key
+  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
+  * (plus many more)
+ .
+ python-django-extensions also includes a number of custom fields and abstract
+ models, including ones that manage created and updated times automatically.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-extensions

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# Don't embed jQuery
	find debian/python-django-extensions -name 'jquery-1.7.2.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-django-extensions -name 'jquery-1.7.2.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;

get-orig-source:
	uscan --verbose --rename

## python-django-extensions 1.5.9

=== debian/changelog ===
python-django-extensions (1.5.9-1) unstable; urgency=medium

  * New upstream version.
  * Fixes migration issues with Django 1.8. Closes: #805359.

 -- Brian May <bam@debian.org>  Wed, 18 Nov 2015 17:48:10 +1100

python-django-extensions (1.5.7-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS error. Closes: #802131.

 -- Brian May <bam@debian.org>  Sat, 24 Oct 2015 14:46:20 +1100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
 Uploaders: Brian May <bam@debian.org>
 X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 9), dh-python,
- python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.4), python-six, python-dateutil, python-shortuuid,
- python3-all, python3-setuptools, python3-django (>= 1.4), python3-six, python3-dateutil, python3-shortuuid,
+ python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.4),
+ python-six, python-dateutil, python-shortuuid, python-mock, python-pip,
+ python-pytest, python-pytest-cov, python-pytest-django,
+ python3-all, python3-setuptools, python3-django (>= 1.4),
+ python3-six, python3-dateutil, python3-shortuuid, python3-mock, python3-pip,
+ python3-pytest, python3-pytest-cov, python3-pytest-django,
 Standards-Version: 3.9.6
 Homepage: https://github.com/django-extensions/django-extensions
-Vcs-Git: git://git.debian.org/git/collab-maint/python-django-extensions.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-django-extensions.git;a=summary
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-extensions.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-extensions.git
 
 Package: python-django-extensions
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 get-orig-source:
 	uscan --verbose --rename
+
+override_dh_auto_test:
+	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test"

## python-django-extensions 1.6.7

=== debian/changelog ===
python-django-extensions (1.6.7-3) unstable; urgency=medium

  * Add Suggests: python-django-extensions-doc to packages.
    Closes: #825967.

 -- Brian May <bam@debian.org>  Thu, 30 Jun 2016 18:06:53 +1000

python-django-extensions (1.6.7-2) unstable; urgency=low

  * Add documentation package and use python3-sphinx to build the
    documentation from source.
  * Add patch to change image URLs to use local copy of images to
    prevent privacy breach.
  * Ship and use local screenshot images for documentation to replace
    the ones hosted on github.
  * Rebuild all django.mo files from source using python-babel.

 -- Michael Fladischer <fladi@debian.org>  Thu, 19 May 2016 11:39:20 +0200

python-django-extensions (1.6.7-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Clean .coverage file to allow two builds in a row.
  * Clean django_extensions.egg-info folder to allow two builds in a row.
  * Remove unnecessary versioned dependencies.
  * Remove python{,3}-profiler from Suggests as it is provided by
    python{,3} itself.
  * Remove python3-keyczar from Suggests as it does not exist.
  * Rename MIT license to Expat.
  * Provide unique descriptions for both binary packages.
  * Reformat packaging files with cme for better readability.
  * Add missing X-Python3-Version field.
  * Add python-keyczar to Build-Depends in order to enable related tests
    for encrypted fields.
  * Fix copyright entries for jquery.js (removed) and
    jquery.ajaxQueue.js (added).
  * Add linitian-override for minified jquery.bgiframe.min.js. Source is
    included in debian/missing-sources/jquery.bgiframe.min.js.

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 May 2016 15:23:47 +0200

python-django-extensions (1.6.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 09 May 2016 11:48:53 +1000

python-django-extensions (1.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix FTBFS. Closes: #806364.

 -- Brian May <bam@debian.org>  Tue, 26 Apr 2016 16:40:49 +1000

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=django-extensions
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
@@ -17,4 +17,19 @@
 	uscan --verbose --rename
 
 override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test"
+	PYTHONPATH=. \
+	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --ds=tests.testapp.settings --cov=django_extensions"
+
+override_dh_auto_build:
+	set -e; \
+	for loc in django_extensions/locale/*; do \
+		python setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django; \
+	done
+	mkdir docs/images
+	ln debian/images/* docs/images
+	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	dh_auto_build
+
+override_dh_clean:
+	rm -rf docs/.build docs/images
+	dh_clean

## python-django-extensions 1.7.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	rm -fr htmlcov/
 
 test:
-	python setup.py test --pytest-args="tests --ds=tests.testapp.settings --cov=django_extensions"
+	python setup.py test --pytest-args="tests django_extensions --ds=tests.testapp.settings --cov=django_extensions"
 
 coverage:
 	coverage run --source django_extensions setup.py test

=== debian/changelog ===
python-django-extensions (1.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Fixes Django 1.10 issues. Closes: #828665, #828207.

 -- Brian May <bam@debian.org>  Sun, 06 Nov 2016 09:53:52 +1100

=== debian/control ===
Source: python-django-extensions
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-babel,
               python-dateutil,
               python-django,
               python-keyczar,
               python-mock,
               python-pip,
               python-pytest,
               python-pytest-cov,
               python-pytest-django,
               python-setuptools,
               python-shortuuid,
               python-six,
               python3-all,
               python3-dateutil,
               python3-django,
               python3-mock,
               python3-pip,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-django,
               python3-setuptools,
               python3-shortuuid,
               python3-six,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-extensions.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-extensions.git
Homepage: https://github.com/django-extensions/django-extensions
X-Python-Version: >=2.7
X-Python3-Version: >=3.4

Package: python-django-extensions
Architecture: all
Depends: python-django,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Recommends: libjs-jquery
Suggests: python-boto,
          python-keyczar,
          python-pygraphviz,
          python-werkzeug,
          python-django-extensions-doc
Description: Useful extensions for Django projects (Python 2 version)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the Python 2 version of the library.

Package: python3-django-extensions
Architecture: all
Depends: python3-django,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Recommends: libjs-jquery
Suggests: python3-boto,
          python3-pygraphviz,
          python3-werkzeug,
          python-django-extensions-doc
Description: Useful extensions for Django projects (Python 3 version)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the Python 3 version of the library.

Package: python-django-extensions-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Useful extensions for Django projects (Documentation)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=. \
-	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --ds=tests.testapp.settings --cov=django_extensions"
+	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --ds=tests.testapp.settings --cov=django_extensions django_extensions"
 
 override_dh_auto_build:
 	set -e; \

## python-django-extensions 1.8.1

=== debian/changelog ===
python-django-extensions (1.8.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Set minimum python/python3-django depends version to >= 1.8 as described
    in README.rst and #843975

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 06 Jul 2017 07:32:39 +1000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-shortuuid,
                python3-six,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-extensions.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-extensions.git
 Homepage: https://github.com/django-extensions/django-extensions
@@ -39,7 +39,7 @@
 
 Package: python-django-extensions
 Architecture: all
-Depends: python-django,
+Depends: python-django (>= 1.8),
          python-six,
          ${misc:Depends},
          ${python:Depends}
@@ -70,7 +70,7 @@
 
 Package: python3-django-extensions
 Architecture: all
-Depends: python3-django,
+Depends: python3-django (>= 1.8),
          python3-six,
          ${misc:Depends},
          ${python3:Depends}

## python-django-extensions 2.1.4

=== debian/changelog ===
python-django-extensions (2.1.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.1.4 (Closes: #915757)
  * d/copyright updated
  * d/rules:
    - Remove references to jquery
    - Remove get-orig-source rule
  * d/control:
    - Add dependency on typing
    - Raise debhelper build-dependency version to 11~
    - Bump Standards-Version to 4.2.1
    - Add basic testsuite
  * d/compat: raise dh compat level to 11
  * d/python-django-extensions-doc.{docs,doc-base}:
    - Updated accordingly to dh compat level 11

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Dec 2018 21:42:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,44 +3,47 @@
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-babel,
                python-dateutil,
                python-django,
-               python-keyczar,
                python-mock,
-               python-pip,
                python-pytest,
                python-pytest-cov,
                python-pytest-django,
                python-setuptools,
                python-shortuuid,
                python-six,
+               python-typing,
+               python-vobject,
+               python-werkzeug,
                python3-all,
+               python3-babel,
                python3-dateutil,
                python3-django,
                python3-mock,
-               python3-pip,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-django,
                python3-setuptools,
                python3-shortuuid,
                python3-six,
-               python3-sphinx
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-extensions.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-extensions.git
+               python3-sphinx,
+               python3-vobject,
+               python3-werkzeug
+Standards-Version: 4.2.1
+Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extensions
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extensions.git
 Homepage: https://github.com/django-extensions/django-extensions
-X-Python-Version: >=2.7
-X-Python3-Version: >=3.4
 
 Package: python-django-extensions
 Architecture: all
 Depends: python-django (>= 1.8),
          python-six,
+         python-typing,
          ${misc:Depends},
          ${python:Depends}
 Recommends: libjs-jquery

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,6 @@
 
 override_dh_install:
 	dh_install
-	# Don't embed jQuery
-	find debian/python-django-extensions -name 'jquery-1.7.2.min.js' -type f -exec \
-		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
-	find debian/python3-django-extensions -name 'jquery-1.7.2.min.js' -type f -exec \
-		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
-
-get-orig-source:
-	uscan --verbose --rename
 
 override_dh_auto_test:
 	PYTHONPATH=. \
@@ -27,7 +19,7 @@
 	done
 	mkdir docs/images
 	ln debian/images/* docs/images
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
 override_dh_clean:

## python-django-extensions 2.2.1

=== debian/changelog ===
python-django-extensions (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.1

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 13 Aug 2019 23:20:57 -0300

python-django-extensions (2.1.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * Removed version in python3-django depends.
  * Fixed path in doc-base file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 22:44:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,8 @@
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all,
-               python-babel,
-               python-dateutil,
-               python-django,
-               python-mock,
-               python-pytest,
-               python-pytest-cov,
-               python-pytest-django,
-               python-setuptools,
-               python-shortuuid,
-               python-six,
-               python-typing,
-               python-vobject,
-               python-werkzeug,
                python3-all,
                python3-babel,
                python3-dateutil,
@@ -33,47 +19,15 @@
                python3-sphinx,
                python3-vobject,
                python3-werkzeug
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extensions
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extensions.git
 Homepage: https://github.com/django-extensions/django-extensions
 
-Package: python-django-extensions
-Architecture: all
-Depends: python-django (>= 1.8),
-         python-six,
-         python-typing,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: libjs-jquery
-Suggests: python-boto,
-          python-keyczar,
-          python-pygraphviz,
-          python-werkzeug,
-          python-django-extensions-doc
-Description: Useful extensions for Django projects (Python 2 version)
- This is a collection of useful third-party tools for projects that use the
- Django web development framework. It provides the management commands:
- .
-  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
-  * runprofileserver - starts runserver with profiling tools enabled
-  * shell_plus - similar to the built-in "shell" but autoloads all models
-  * graph_models - creates a GraphViz dot file of your model arrangement
-  * describe_form - generate template form definitions for a model
-  * export_emails - export the addresses of your users in many formats
-  * print_user_for_session - print the user information from a session key
-  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
-  * (plus many more)
- .
- python-django-extensions also includes a number of custom fields and abstract
- models, including ones that manage created and updated times automatically.
- .
- This package contains the Python 2 version of the library.
-
 Package: python3-django-extensions
 Architecture: all
-Depends: python3-django (>= 1.8),
+Depends: python3-django,
          python3-six,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=django-extensions
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
@@ -15,7 +15,7 @@
 override_dh_auto_build:
 	set -e; \
 	for loc in django_extensions/locale/*; do \
-		python setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django; \
+		python3 setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django; \
 	done
 	mkdir docs/images
 	ln debian/images/* docs/images

## python-django-extensions 3.0.3

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	@echo "clean-build - remove build artifacts"
 	@echo "clean-pyc - remove Python file artifacts"
 	@echo "clean-test - remove test and coverage artifacts"
+	@echo "compile-catalog - compile translation catalogs"
 	@echo "test - run tests quickly with the default Python"
 	@echo "coverage - check code coverage quickly with the default Python"
 	@echo "install - install the package to the active Python's site-packages"
@@ -28,8 +29,13 @@
 	rm -f .coverage
 	rm -fr htmlcov/
 
+compile-catalog:
+	for loc in django_extensions/locale/*; do \
+		python setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django || exit 1; \
+	done
+
 test:
-	python setup.py test --pytest-args="tests django_extensions --ds=tests.testapp.settings --cov=django_extensions"
+	python setup.py test
 
 coverage:
 	coverage run --source django_extensions setup.py test

=== debian/changelog ===
python-django-extensions (3.0.3-3) unstable; urgency=medium

  * debian/tests/control
    - upgrade b-d on pygments to >= 2.7.1+dfsg-1~

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 17:51:51 -0400

python-django-extensions (3.0.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/patches/4ba2513ddb3815cdc15d0c5f681b5665f300718c.patch
    - css style change for new versions of pygments
      stored in .pc/ are also tested
  * debian/rules
    - only run tests in the tests/ directory, else files patched by quilt and
      stored in .pc/ are also collected and tested
  * debian/patches/0002-Update-reference-to-python-werzeug-package.patch
    - refresh patch
  * debian/patches/python39_html_unescape.patch
    - support python 3.9 by using unescape() from the html module directly
  * debian/patches/python39_singular_abstract_class_msg.patch
    - support python3.9 by special casing the abstract class error message

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 23:05:55 -0400

python-django-extensions (3.0.3-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Antonio Terceiro ]
  * New upstream version 3.0.3
    - Upstream source drops support for Django < 2 and python2.7
    - Works with Django 3 (Closes: #961166)
  * 0002-Update-reference-to-python-werzeug-package.patch: s/python/python3/
  * Run test suite during build and under autopkgtest
  * Add new build dependency: python3-pip

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 22 Jul 2020 14:29:08 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-django-extensions
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-babel,
                python3-dateutil,
                python3-django,
+               python3-factory-boy,
                python3-mock,
+               python3-pip,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-django,
@@ -19,10 +21,10 @@
                python3-sphinx,
                python3-vobject,
                python3-werkzeug
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-extensions
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-extensions.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extensions
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extensions.git
 Homepage: https://github.com/django-extensions/django-extensions
 
 Package: python3-django-extensions

=== debian/tests/control ===
Tests: testsuite
Depends: @,
    python3-factory-boy,
    python3-pytest,
    python3-pytest-django,
    python3-mock,
    python3-pip,
    python3-pygments (>= 2.7.1+dfsg-1~),
    python3-shortuuid,
    python3-vobject,
    python3-werkzeug
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/django-extensions/django-extensions/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:python-django-extensions|django-extensions)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-django-extensions 3.1.5

=== debian/changelog ===
python-django-extensions (3.1.5-2) unstable; urgency=medium

  * Drop d/p/0003-CSS-style-change-for-new-versions-of-pygments.patch for
    pygments 2.10.0 compatibility (fixes autopkgtest)

 -- Lukas Märdian <luk@slyon.de>  Fri, 17 Dec 2021 15:38:06 +0100

python-django-extensions (3.1.5-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.1.5

 -- Carsten Schoenert <carsten.schoenert@puri.sm>  Thu, 11 Nov 2021 20:55:22 +0100

python-django-extensions (3.1.3-1) unstable; urgency=medium

  * Team upload

  [ Diego M. Rodriguez ]
  * d/.links - use python-django-extensions-doc (Closes: #988793)

  [ Carsten Schoenert ]
  * New upstream version 3.1.3
  * Rebuild patch queue from patchqueue branch
    Renamed patch:
    0001-Change-image-URLs-to-use-local-copy-of-images-to-pre.patch
    -> 0001-Use-local-stored-images-to-prevent-privacy-breach.patch

    4ba2513ddb3815cdc15d0c5f681b5665f300718c.patch
    -> 0003-CSS-style-change-for-new-versions-of-pygments.patch

    Updated/adjusted patch:
    0002-Update-reference-to-python-werzeug-package.patch

    Removed patches:
    python39_html_unescape.patch
    python39_singular_abstract_class_msg.patch

  * Running wrap-and-sort -ast
  * d/control: Sort binary packages alphabetical
  * d/control: Mark the -doc package Multi-Arch: foreign
  * d/control: Bump debhelper version to 13
  * d/control: Adding entry Rules-Requires-Root: no
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/watch: Update to version 4
  * d/control: Drop python3-six on source and binary package
    Upstream has dropped a dependency on the six package.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Sep 2021 21:34:38 +0200

=== debian/control ===
Source: python-django-extensions
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-babel,
 python3-dateutil,
 python3-django,
 python3-factory-boy,
 python3-mock,
 python3-pip,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-setuptools,
 python3-shortuuid,
 python3-sphinx,
 python3-vobject,
 python3-werkzeug,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extensions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extensions.git
Homepage: https://github.com/django-extensions/django-extensions

Package: python-django-extensions-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Useful extensions for Django projects (Documentation)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the documentation.

Package: python3-django-extensions
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
Suggests:
 python-django-extensions-doc,
 python3-boto,
 python3-pygraphviz,
 python3-werkzeug,
Description: Useful extensions for Django projects (Python 3 version)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the Python 3 version of the library.

## python-django-extensions 3.2.0

=== debian/changelog ===
python-django-extensions (3.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.2.0
    (Closes: #1013536)
  * d/control: Update Standards-Version to 4.6.1
  * autopkgtest: Ignore new added test from upstream
    We need also to ignore test_managestate.py within an autopkgtest run.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Aug 2022 21:04:01 +0200
